Bug 1419899 - Documentation inaccurate for __com.redhat_qxl_screendump and __com.redhat_drive_add
Summary: Documentation inaccurate for __com.redhat_qxl_screendump and __com.redhat_dri...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Markus Armbruster
QA Contact: Chao Yang
URL:
Whiteboard:
Keywords:
Depends On: 1419897 1419898
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 11:11 UTC by Markus Armbruster
Modified: 2017-08-02 03:37 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-rhev-2.8.0-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1419898
Environment:
Last Closed: 2017-08-01 23:44:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Markus Armbruster 2017-02-07 11:11:03 UTC
+++ This bug was initially created as a clone of Bug #1419898 +++

+++ This bug was initially created as a clone of Bug #1419897 +++

Description of problem:
qemu-info.html section "3.5.1 Commands" documents __com.redhat_screendump instead of __com.redhat_qxl_screendump

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. View usr/share/doc/qemu-kvm-0.12.1.2/qemu-doc.html
2. Search for _screendump
3.

Actual results:
Search finds
‘__com.redhat_screendump id filename’

    Save screen from qxl device id into PPM image filename. 

Expected results:
Should instead find
‘__com.redhat_qxl_screendump id filename’

    Save screen from qxl device id into PPM image filename. 

Additional info:
The typo is in qemu-monitor.hx.

--- Additional comment from Markus Armbruster on 2017-02-07 06:09:59 EST ---

The typo has moved from qemu-monitor.hx to in hmp-commands.hx.

Comment 2 Markus Armbruster 2017-02-07 14:54:34 UTC
Another doc bug:

‘__com.redhat_drive_add’

    Create a drive similar to -device if=none. 

This should be "similar to -drive if=none".

Comment 3 Miroslav Rezanina 2017-02-10 13:57:47 UTC
Fix included in qemu-kvm-rhev-2.8.0-4.el7

Comment 5 Chao Yang 2017-05-03 09:30:23 UTC
$ git diff qemu-kvm-rhev-2.6.0-28.el7_3.9/usr/share/doc/qemu-kvm/qemu-doc.html qemu-kvm-rhev-2.9.0-2.el7/usr/share/doc/qemu-kvm/qemu-doc.html

-<dt><samp>__com.redhat_screendump <var>id</var> <var>filename</var></samp></dt>
-<dd><a name="index-_005f_005fcom_002eredhat_005fscreendump"></a>
+<dt><samp>__com.redhat_qxl_screendump <var>id</var> <var>filename</var></samp></dt>
+<dd><a name="index-_005f_005fcom_002eredhat_005fqxl_005fscreendump"></a>


 <dt><samp>__com.redhat_drive_add</samp></dt>
 <dd><a name="index-_005f_005fcom_002eredhat_005fdrive_005fadd"></a>
-<p>Create a drive similar to -device if=none.
-</p></dd>
-<dt><samp>pci_del</samp></dt>
-<dd><a name="index-pci_005fdel"></a>
-<p>Hot remove PCI device.
+<p>Create a drive similar to -drive if=none.
 </p></dd>
 <dt><samp>pcie_aer_inject_error</samp></dt>
 <dd><a name="index-pcie_005faer_005finject_005ferror"></a>


Setting VERIFIED per above.

Comment 7 errata-xmlrpc 2017-08-01 23:44:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 8 errata-xmlrpc 2017-08-02 01:22:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 9 errata-xmlrpc 2017-08-02 02:14:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 10 errata-xmlrpc 2017-08-02 02:55:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 11 errata-xmlrpc 2017-08-02 03:19:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Comment 12 errata-xmlrpc 2017-08-02 03:37:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.